Command Dialog {
	Variables {
		CString	dialog_name;
	}
    Attributes {
		Name = task_args;
		Title = $dialog_name;
		DialogStyle = PRIMARY_APPLICATION_MODAL;
		Iconic = NO;
		Purpose = ICONIFY;
		Layout = VERTICAL;
		Default=ok;
    }
    Gadgets {
		Group {
			Attributes {
				Name = g00;
				Layout = VERTICAL;
				Border = NO;
			}
			Gadgets {
				Group {
					Attributes {
						Name = g10;
						Layout = HORIZONTAL;
						Border = NO;
						ChildColumnAlignment = STRETCH;
					}
					Gadgets {
						Message {
							Name = user_name;
							Title = "User Name";
							ChildColumnAlignment = LEFT;
						}
						Text {
							Name = user_name_value;
							Title = "";
							TellModify = YES;
							ChildColumnAlignment = STRETCH;
						}
					}
				}
				Group {
					Attributes {
						Name = g20;
						Layout = HORIZONTAL;
						Border = NO;
						ChildColumnAlignment = STRETCH;
					}
					Gadgets {
						Message {
							Name = user_phone;
							Title = "Phone Number";
							ChildColumnAlignment = LEFT;
						}
						Text {
							Name = user_phone_value;
							Title = "";
							TellModify = YES;
							Columns = 32;
							ChildColumnAlignment = STRETCH;
						}
					}
				}
				Group {
					Attributes {
						Name = g30;
						Layout = HORIZONTAL;
						Border = NO;
						ChildColumnAlignment = STRETCH;
					}
					Gadgets {
						List {
							Name = selected_choices;
							Title = "List of Choices";
							TitlePos = TOP;
							Rows = 4;
							Sort = YES;
							TellModify = YES;
							ShowBrowser = YES;
							Choices = "one"{one},"two"{two},"three"{three},"four"{four},"five"{five};
						}
					}
				}
			}
		}
	}
	CommandButton {
		Name = ok;
		Title = "Set and Execute";
		Commands = execute_with_args_callback^("ok",
				$g00.g10.user_name_value, 
				$g00.g20.user_phone_value,
				$g00.g30.selected_choices); 
	}
	CommandButton {
		Name = cancel;
		Title = "Cancel";
		Commands = execute_with_args_callback^("cancel",
				$g00.g10.user_name_value, 
				$g00.g20.user_phone_value,
				$g00.g30.selected_choices); 
	}
}
